<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="Компонент управления"
	description="Осуществляет контроль. и над чем??" fileName="NPCFaceAdministration.jar"
	className="org.mati.npc.faces.NPCFaceAdministration" runnable="false"
	version="9345" time="17.02.2009 16:31:02">

	<Group>Синхронизация, администрирование и авторизация
	</Group>

	<!-- INLINKS -->
	<INLink description="Связь с компонентом контейнером"
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" name="InFaceComponent" nullable="false">
	</INLink>
	<INLink name="InVisibility"
		description="Входящая связь допускает изменение видимости компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InEnable"
		description="Входящая связь допускает enable/disable компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>

	<!-- OUTLINKS -->
	<OUTLink description="Свзяь с компонент журналирования"
		interfaceName="org.mati.npc.components.interfaces.NPCSimpleLoggerHandler"
		linksNumber="1" nullable="true" name="OutLoggerHandler">
	</OUTLink>
	<!--
		Свойство nullable должно быть false, просто на время отладки оно true
	-->
	<OUTLink description="Сообщить о пожаре"
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="1" name="OutEffectorFire" nullable="true">
	</OUTLink>
	<!--
		Свойство nullable должно быть false, просто на время отладки оно true
	-->
	<OUTLink description="Сообщить о эвакуации" linksNumber="1"
		interfaceName="org.mati.npc.components.interfaces.Effector" name="OutEffectorEvacuation"
		nullable="true">
	</OUTLink>

	<!-- ATTRIBUTES -->
	<Attribute name="PositionX" description="Координата левого верхнего угла по оси X"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="PositionY" description="Координата левого верхнего угла по оси Y"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="SizeWidth" description="Ширина" type="java.lang.Integer"
		defaultValue="300"
		nullable="false">
	</Attribute>
	<Attribute description="Высота" name="SizeHeight" nullable="false"
		defaultValue="150"
		type="java.lang.Integer">
	</Attribute>
</ClassComponent>

